[18.04 FEAT] Rebase openssl-ibmca >= 1.4.1

Bug #1747626 reported by bugproxy on 2018-02-06
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Canonical Foundations Team
openssl-ibmca (Ubuntu)
Undecided
Skipper Bug Screeners

Bug Description

Upgrade to newest version of ibmca
Required version > =1.4.1.
(1.5.0 tentativ upstream target Feb 2018 - probably too late, and 1.4.1 seems to be sufficient)

bugproxy (bugproxy) on 2018-02-06
tags: added: architecture-s39064 bugnameltc-161533 severity-high targetmilestone-inin1804
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
affects: linux (Ubuntu) → openssl-ibmca (Ubuntu)
Changed in ubuntu-z-systems:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Canonical Foundations Team (canonical-foundations)
status: Triaged → Incomplete
Changed in openssl-ibmca (Ubuntu):
status: New → Incomplete
Dimitri John Ledkov (xnox) wrote :

Is this still on track for Feb 2018?

------- Comment From <email address hidden> 2018-02-21 07:42 EDT-------
@XNOX: Just checked with development. IBMCA 1.5.0 has a possiblity of a release in March, but looking into the update on top of 1.4.0 no major items make it into this release. Therefore I changed the target to 18.10.

tags: added: targetmilestone-inin1810
removed: targetmilestone-inin1804
summary: - [18.04 FEAT] Rebase openssl-ibmca >= 1.5.0
+ [18.10 FEAT] Rebase openssl-ibmca >= 1.5.0
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-02-23 08:03 EDT-------
Target Release changed back to 18.04

OpenSSL-ibmca - 1.4.1
- Fix structure size for aes-256-ecb/cbc/cfb/ofb
- Update man page
- Switch to ibmca.so filename to allow standalone use
- And other small fixes

Download: https://github.com/opencryptoki/openssl-ibmca/archive/v1.4.1.tar.gz

tags: added: targetmilestone-inin1804
removed: targetmilestone-inin1810
summary: - [18.10 FEAT] Rebase openssl-ibmca >= 1.5.0
+ [18.10 FEAT] Rebase openssl-ibmca >= 1.4.1
summary: - [18.10 FEAT] Rebase openssl-ibmca >= 1.4.1
+ [18.04 FEAT] Rebase openssl-ibmca >= 1.4.1
Changed in openssl-ibmca (Ubuntu):
status: Incomplete → Fix Committed
Changed in ubuntu-z-systems:
status: Incomplete → Fix Committed
information type: Private → Public
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openssl-ibmca - 1.4.1-0ubuntu1

---------------
openssl-ibmca (1.4.1-0ubuntu1) bionic; urgency=medium

  * New upstream release
  * Update watch file to point at github
  * Build against openssl1.1 with openssl1.1 engine paths LP: #1747626

 -- Dimitri John Ledkov <email address hidden> Fri, 23 Feb 2018 18:06:36 +0000

Changed in openssl-ibmca (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
tags: added: id-5a9059c9493ec27b05e97070
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-02-26 02:58 EDT-------
IBM Bugzilla status -> closed, Fix Released with Bionic

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers